Page MenuHomePhabricator

Scale: pilot help panel with mentorship in frwiki, bnwiki, arwiki, viwiki
Closed, ResolvedPublic

Description

Because the test of this change went fine in Czech Wikipedia (see T250235), we want to do the exact same thing in four other wikis:

  • frwiki
  • bnwiki
  • arwiki
  • viwiki

Having more data here will allow us to see if we should make the change standard for Growth features.

Event Timeline

Restricted Application added a subscriber: alaa. · View Herald TranscriptJan 22 2021, 10:30 PM
Trizek-WMF added a comment.EditedJan 25 2021, 9:54 AM

Let me know when we plan to do this change so that Ambassadors and myself can inform the communities about it. I think one week is a must-have before we actually make the change, so that mentors can get the message.

@Urbanecm_WMF -- this task is related to scaling because if we get good results from it, then we can remove the help desk elements of our deployments to more wikis. Could you please proceed with this task, and coordinate with @Trizek-WMF about when it is deployed so that the ambassadors can inform their communities?

Restricted Application added a project: User-Urbanecm_WMF. · View Herald TranscriptWed, Feb 3, 7:47 PM

Change 661448 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Set wgGEHelpPanelAskMentor to true for several wikis

https://gerrit.wikimedia.org/r/661448

@Urbanecm_WMF -- this task is related to scaling because if we get good results from it, then we can remove the help desk elements of our deployments to more wikis. Could you please proceed with this task, and coordinate with @Trizek-WMF about when it is deployed so that the ambassadors can inform their communities?

Sure! Patch is prepared. I can deploy it either tomorrow (too early I presume) or at any workday in the next week (minus Friday). @Trizek-WMF Do you have any preferences for the deployment date?

@Urbanecm_WMF -- this task is related to scaling because if we get good results from it, then we can remove the help desk elements of our deployments to more wikis.

Honestly, mentors are less frequent than a working help desk in my experience. For instance, cswiki didn't have any mentors before Growth came in, but had help desk. Through as I said in the check-in meeting, let's try it, and see how it goes, just wanted to note this anyway.

@Trizek-WMF Do you have any preferences for the deployment date?

I think one week is a must-have before we actually make the change, so that mentors can get the message. Let's have it deployed next Wednesday. bn.wp can have it right now.

I think one week is a must-have before we actually make the change, so that mentors can get the message. Let's have it deployed next Wednesday. bn.wp can have it right now.

Okay, that works for me. Scheduled for Wednesday February 10, 2021, 12:00 UTC. Can reschedule if needed.

Iniquity added a subscriber: Iniquity.EditedThu, Feb 4, 4:34 PM

If you will plan to do this for Ruwiki in future, please ping me. This can be painful for mentors :)

@Iniquity -- we definitely will let you know if we make the change more broadly than just the wikis listed here. We're first going to try it here to see how big of a difference it makes. On Czech Wikipedia, it resulted in about a 30% increase in questions to mentors (you can see the analysis here). We'll see what the impact is on these other wikis for a few weeks before proceeding further.

@Iniquity -- we definitely will let you know if we make the change more broadly than just the wikis listed here. We're first going to try it here to see how big of a difference it makes. On Czech Wikipedia, it resulted in about a 30% increase in questions to mentors (you can see the analysis here). We'll see what the impact is on these other wikis for a few weeks before proceeding further.

Yes, I saw the analysis, thanks a lot :)

Change 661448 merged by jenkins-bot:
[operations/mediawiki-config@master] Set wgGEHelpPanelAskMentor to true for several wikis

https://gerrit.wikimedia.org/r/661448

Mentioned in SAL (#wikimedia-operations) [2021-02-10T12:07:29Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: 2d8cb10f246904f1af07b019da270fd8dc7816fa: Set wgGEHelpPanelAskMentor to true for several wikis (T272753) (duration: 01m 21s)

Urbanecm_WMF closed this task as Resolved.Wed, Feb 10, 12:11 PM

This was just deployed.

Urbanecm_WMF reopened this task as Open.Wed, Feb 10, 12:16 PM
Urbanecm_WMF moved this task from Code Review to QA on the Growth-Team (Current Sprint) board.

(I should've moved this QA, not resolved, fixing)

Thanks, @Urbanecm_WMF - I'll check, all looks fine to me. Moving to PM column to let @MMiller_WMF know that the task is done.

MMiller_WMF closed this task as Resolved.Fri, Feb 12, 4:08 AM

Thank you -- I'm going to check the numbers of questions next week to see how the test is going.

I've looked at the data, and see these increases in the number of questions received by mentors after this change:

  • arwiki: +29%
  • viwiki: +39%
  • frwiki: +17%

All of these changes are within the range that we're comfortable, and so we're going to proceed with T275908: Scale: default to mentorship questions from help panel.